## org.exist.soap.test
Class CopyMoveTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.soap.test.CopyMoveTest

All Implemented Interfaces:
  junit.framework.Test

public class CopyMoveTest
extends junit.framework.TestCase

Constructor Summary
`CopyMoveTest(java.lang.String name)`

Method Summary
`void` `testCopyCollectionChangeName()`
`void` `testCopyResourceChangeName()`
`void` `testMoveCollection()`
`void` `testMoveResource()`
`void` `testRemoveThisEmptyTest()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CopyMoveTest

    public CopyMoveTest(java.lang.String name)

Method Detail

### testCopyResourceChangeName

    public void testCopyResourceChangeName()
                                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testMoveResource

    public void testMoveResource()
                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testCopyCollectionChangeName

    public void testCopyCollectionChangeName()
                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testMoveCollection

    public void testMoveCollection()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### testRemoveThisEmptyTest

    public void testRemoveThisEmptyTest()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.